classdef MatType < uint32
  % MatType
  %   The different matrix types
  %

  enumeration
    UINT8 (0) % A single unsigned byte
    INT8 (1) % A single signed byte
    UINT16 (2) % Two unsigned bytes
    INT16 (3) % Two signed bytes
    INT32 (4) % Four signed bytes
    FLOAT (5) % Four bytes floating point value
    DOUBLE (6) % Eight bytes floating point value
    FLOAT_4 (29) % Four bytes floating point value with four channels
    FLOAT_8 (61) % Four bytes floating point value with eight channels
  end
end
